/// <reference types="react" />
import { ThemeUIJSX, type ThemeUIStyleObject } from '@theme-ui/core';
export { __ThemeUIContext, merge, useThemeUI, createElement, } from '@theme-ui/core';
export type { ThemeUIContextValue, IntrinsicSxElements, SxProp, ColorMode, ColorModesScale, CSSObject, CSSProperties, CSSPseudoSelectorProps, ResponsiveStyleValue, ThemeUICSSProperties, ThemeUIStyleObject, ThemeUICSSObject, Theme, ThemeStyles, TLengthStyledSystem, StylePropertyValue, } from '@theme-ui/core';
export { useColorMode, InitializeColorMode } from '@theme-ui/color-modes';
export { Themed, components } from '@theme-ui/mdx';
export { ThemeProvider } from '@theme-ui/theme-provider';
export * from '@theme-ui/components';
export { css, get } from '@theme-ui/css';
export declare const BaseStyles: (props: Record<string, unknown> & {
    sx?: ThemeUIStyleObject;
}) => import("react").ReactElement<{
    sx: {
        fontFamily: string;
        lineHeight: string;
        fontWeight: string;
        variant: string;
    } | {
        accentColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AccentColor | undefined>;
        alignContent?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AlignContent | undefined>;
        alignItems?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AlignItems | undefined>;
        alignSelf?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AlignSelf | undefined>;
        alignTracks?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AlignTracks | undefined>;
        animationDelay?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationDelay<string & {}> | undefined>;
        animationDirection?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationDirection | undefined>;
        animationDuration?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationDuration<string & {}> | undefined>;
        animationFillMode?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationFillMode | undefined>;
        animationIterationCount?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationIterationCount | undefined>;
        animationName?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationName | undefined>;
        animationPlayState?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationPlayState | undefined>;
        animationTimingFunction?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationTimingFunction | undefined>;
        appearance?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Appearance | undefined>;
        aspectRatio?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AspectRatio | undefined>;
        backdropFilter?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackdropFilter | undefined>;
        backfaceVisibility?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackfaceVisibility | undefined>;
        backgroundAttachment?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackgroundAttachment | undefined>;
        backgroundBlendMode?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackgroundBlendMode | undefined>;
        backgroundClip?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackgroundClip | undefined>;
        backgroundColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackgroundColor | undefined>;
        backgroundImage?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackgroundImage | undefined>;
        backgroundOrigin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackgroundOrigin | undefined>;
        backgroundPositionX?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackgroundPositionX<string | number> | undefined>;
        backgroundPositionY?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackgroundPositionY<string | number> | undefined>;
        backgroundRepeat?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackgroundRepeat | undefined>;
        backgroundSize?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackgroundSize<string | number> | undefined>;
        blockOverflow?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BlockOverflow | undefined>;
        blockSize?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BlockSize<string | number> | undefined>;
        borderBlockColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBlockColor | undefined>;
        borderBlockEndColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBlockEndColor | undefined>;
        borderBlockEndStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBlockEndStyle | undefined>;
        borderBlockEndWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBlockEndWidth<string | number> | undefined>;
        borderBlockStartColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBlockStartColor | undefined>;
        borderBlockStartStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBlockStartStyle | undefined>;
        borderBlockStartWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBlockStartWidth<string | number> | undefined>;
        borderBlockStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBlockStyle | undefined>;
        borderBlockWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBlockWidth<string | number> | undefined>;
        borderBottomColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBottomColor | undefined>;
        borderBottomLeftRadius?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBottomLeftRadius<string | number> | undefined>;
        borderBottomRightRadius?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBottomRightRadius<string | number> | undefined>;
        borderBottomWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBottomWidth<string | number> | undefined>;
        borderCollapse?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderCollapse | undefined>;
        borderEndEndRadius?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderEndEndRadius<string | number> | undefined>;
        borderEndStartRadius?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderEndStartRadius<string | number> | undefined>;
        borderImageOutset?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderImageOutset<string | number> | undefined>;
        borderImageRepeat?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderImageRepeat | undefined>;
        borderImageSlice?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderImageSlice | undefined>;
        borderImageSource?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderImageSource | undefined>;
        borderImageWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderImageWidth<string | number> | undefined>;
        borderInlineColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineColor | undefined>;
        borderInlineEndColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineEndColor | undefined>;
        borderInlineEndStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineEndStyle | undefined>;
        borderInlineEndWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineEndWidth<string | number> | undefined>;
        borderInlineStartColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineStartColor | undefined>;
        borderInlineStartStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineStartStyle | undefined>;
        borderInlineStartWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineStartWidth<string | number> | undefined>;
        borderInlineStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineStyle | undefined>;
        borderInlineWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineWidth<string | number> | undefined>;
        borderLeftColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderLeftColor | undefined>;
        borderLeftWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderLeftWidth<string | number> | undefined>;
        borderRightColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderRightColor | undefined>;
        borderRightWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderRightWidth<string | number> | undefined>;
        borderSpacing?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderSpacing<string | number> | undefined>;
        borderStartEndRadius?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderStartEndRadius<string | number> | undefined>;
        borderStartStartRadius?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderStartStartRadius<string | number> | undefined>;
        borderTopColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderTopColor | undefined>;
        borderTopLeftRadius?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderTopLeftRadius<string | number> | undefined>;
        borderTopRightRadius?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderTopRightRadius<string | number> | undefined>;
        borderTopWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderTopWidth<string | number> | undefined>;
        bottom?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Bottom<string | number> | undefined>;
        boxDecorationBreak?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BoxDecorationBreak | undefined>;
        boxSizing?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BoxSizing | undefined>;
        breakAfter?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BreakAfter | undefined>;
        breakBefore?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BreakBefore | undefined>;
        breakInside?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BreakInside | undefined>;
        captionSide?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.CaptionSide | undefined>;
        caretColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.CaretColor | undefined>;
        clear?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Clear | undefined>;
        clipPath?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ClipPath | undefined>;
        color?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Color | undefined>;
        colorAdjust?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColorAdjust | undefined>;
        colorScheme?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColorScheme | undefined>;
        columnCount?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnCount | undefined>;
        columnFill?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnFill | undefined>;
        columnGap?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnGap<string | number> | undefined>;
        columnRuleColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnRuleColor | undefined>;
        columnRuleStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnRuleStyle | undefined>;
        columnRuleWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnRuleWidth<string | number> | undefined>;
        columnSpan?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnSpan | undefined>;
        columnWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnWidth<string | number> | undefined>;
        contain?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Contain | undefined>;
        content?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Content | undefined>;
        contentVisibility?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ContentVisibility | undefined>;
        counterIncrement?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.CounterIncrement | undefined>;
        counterReset?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.CounterReset | undefined>;
        counterSet?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.CounterSet | undefined>;
        cursor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Cursor | undefined>;
        direction?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Direction | undefined>;
        display?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Display | undefined>;
        emptyCells?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.EmptyCells | undefined>;
        filter?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Filter | undefined>;
        flexBasis?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FlexBasis<string | number> | undefined>;
        flexDirection?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FlexDirection | undefined>;
        flexGrow?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FlexGrow | undefined>;
        flexShrink?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FlexShrink | undefined>;
        flexWrap?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FlexWrap | undefined>;
        float?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Float | undefined>;
        fontFamily: string | false | import("@theme-ui/core").ThemeUICSSObject | import("@theme-ui/core").ThemeDerivedStyles | import("@theme-ui/css").ObjectWithDefault<import("csstype").Property.FontFamily> | (import("@theme-ui/css").ThemeUIEmpty | import("csstype").Property.FontFamily | import("@theme-ui/css").ObjectWithDefault<import("csstype").Property.FontFamily> | import("csstype").Property.FontFamily[])[] | ((theme: import("@theme-ui/core").Theme) => import("@theme-ui/css").ThemeUIEmpty | import("csstype").Property.FontFamily | import("@theme-ui/css").ObjectWithDefault<import("csstype").Property.FontFamily> | import("csstype").Property.FontFamily[] | (import("@theme-ui/css").ThemeUIEmpty | import("csstype").Property.FontFamily | import("@theme-ui/css").ObjectWithDefault<import("csstype").Property.FontFamily> | import("csstype").Property.FontFamily[])[]) | null;
        fontFeatureSettings?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontFeatureSettings | undefined>;
        fontKerning?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontKerning | undefined>;
        fontLanguageOverride?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontLanguageOverride | undefined>;
        fontOpticalSizing?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontOpticalSizing | undefined>;
        fontSize?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontSize<string | number> | undefined>;
        fontSizeAdjust?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontSizeAdjust | undefined>;
        fontSmooth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontSmooth<string | number> | undefined>;
        fontStretch?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontStretch | undefined>;
        fontStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontStyle | undefined>;
        fontSynthesis?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontSynthesis | undefined>;
        fontVariant?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontVariant | undefined>;
        fontVariantCaps?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontVariantCaps | undefined>;
        fontVariantEastAsian?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontVariantEastAsian | undefined>;
        fontVariantLigatures?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontVariantLigatures | undefined>;
        fontVariantNumeric?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontVariantNumeric | undefined>;
        fontVariantPosition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontVariantPosition | undefined>;
        fontVariationSettings?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontVariationSettings | undefined>;
        forcedColorAdjust?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ForcedColorAdjust | undefined>;
        gridAutoColumns?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.GridAutoColumns<string | number> | undefined>;
        gridAutoFlow?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.GridAutoFlow | undefined>;
        gridAutoRows?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.GridAutoRows<string | number> | undefined>;
        gridColumnEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.GridColumnEnd | undefined>;
        gridColumnStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.GridColumnStart | undefined>;
        gridRowEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.GridRowEnd | undefined>;
        gridRowStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.GridRowStart | undefined>;
        gridTemplateAreas?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.GridTemplateAreas | undefined>;
        gridTemplateColumns?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.GridTemplateColumns<string | number> | undefined>;
        gridTemplateRows?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.GridTemplateRows<string | number> | undefined>;
        hangingPunctuation?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.HangingPunctuation | undefined>;
        height?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Height<string | number> | undefined>;
        hyphens?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Hyphens | undefined>;
        imageOrientation?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ImageOrientation | undefined>;
        imageRendering?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ImageRendering | undefined>;
        imageResolution?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ImageResolution | undefined>;
        initialLetter?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.InitialLetter | undefined>;
        inlineSize?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.InlineSize<string | number> | undefined>;
        inset?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Inset<string | number> | undefined>;
        insetBlock?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.InsetBlock<string | number> | undefined>;
        insetBlockEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.InsetBlockEnd<string | number> | undefined>;
        insetBlockStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.InsetBlockStart<string | number> | undefined>;
        insetInline?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.InsetInline<string | number> | undefined>;
        insetInlineEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.InsetInlineEnd<string | number> | undefined>;
        insetInlineStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.InsetInlineStart<string | number> | undefined>;
        isolation?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Isolation | undefined>;
        justifyContent?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.JustifyContent | undefined>;
        justifyItems?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.JustifyItems | undefined>;
        justifySelf?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.JustifySelf | undefined>;
        justifyTracks?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.JustifyTracks | undefined>;
        left?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Left<string | number> | undefined>;
        letterSpacing?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.LetterSpacing<string | number> | undefined>;
        lineBreak?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.LineBreak | undefined>;
        lineHeight: string | number | false | import("@theme-ui/core").ThemeUICSSObject | import("@theme-ui/core").ThemeDerivedStyles | import("@theme-ui/css").ObjectWithDefault<import("csstype").Property.LineHeight<string | number>> | (import("@theme-ui/css").ThemeUIEmpty | import("csstype").Property.LineHeight<string | number> | import("@theme-ui/css").ObjectWithDefault<import("csstype").Property.LineHeight<string | number>> | import("csstype").Property.LineHeight<string | number>[])[] | ((theme: import("@theme-ui/core").Theme) => import("@theme-ui/css").ThemeUIEmpty | import("csstype").Property.LineHeight<string | number> | import("@theme-ui/css").ObjectWithDefault<import("csstype").Property.LineHeight<string | number>> | import("csstype").Property.LineHeight<string | number>[] | (import("@theme-ui/css").ThemeUIEmpty | import("csstype").Property.LineHeight<string | number> | import("@theme-ui/css").ObjectWithDefault<import("csstype").Property.LineHeight<string | number>> | import("csstype").Property.LineHeight<string | number>[])[]) | null;
        lineHeightStep?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.LineHeightStep<string | number> | undefined>;
        listStyleImage?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ListStyleImage | undefined>;
        listStylePosition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ListStylePosition | undefined>;
        listStyleType?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ListStyleType | undefined>;
        marginBlock?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginBlock<string | number> | undefined>;
        marginBlockEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginBlockEnd<string | number> | undefined>;
        marginBlockStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginBlockStart<string | number> | undefined>;
        marginBottom?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginBottom<string | number> | undefined>;
        marginInline?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginInline<string | number> | undefined>;
        marginInlineEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginInlineEnd<string | number> | undefined>;
        marginInlineStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginInlineStart<string | number> | undefined>;
        marginLeft?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginLeft<string | number> | undefined>;
        marginRight?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginRight<string | number> | undefined>;
        marginTop?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginTop<string | number> | undefined>;
        maskBorderMode?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskBorderMode | undefined>;
        maskBorderOutset?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskBorderOutset<string | number> | undefined>;
        maskBorderRepeat?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskBorderRepeat | undefined>;
        maskBorderSlice?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskBorderSlice | undefined>;
        maskBorderSource?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskBorderSource | undefined>;
        maskBorderWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskBorderWidth<string | number> | undefined>;
        maskClip?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskClip | undefined>;
        maskComposite?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskComposite | undefined>;
        maskImage?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskImage | undefined>;
        maskMode?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskMode | undefined>;
        maskOrigin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskOrigin | undefined>;
        maskPosition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskPosition<string | number> | undefined>;
        maskRepeat?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskRepeat | undefined>;
        maskSize?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskSize<string | number> | undefined>;
        maskType?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskType | undefined>;
        mathStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MathStyle | undefined>;
        maxBlockSize?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaxBlockSize<string | number> | undefined>;
        maxHeight?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaxHeight<string | number> | undefined>;
        maxInlineSize?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaxInlineSize<string | number> | undefined>;
        maxLines?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaxLines | undefined>;
        maxWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaxWidth<string | number> | undefined>;
        minBlockSize?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MinBlockSize<string | number> | undefined>;
        minHeight?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MinHeight<string | number> | undefined>;
        minInlineSize?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MinInlineSize<string | number> | undefined>;
        minWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MinWidth<string | number> | undefined>;
        mixBlendMode?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MixBlendMode | undefined>;
        motionDistance?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OffsetDistance<string | number> | undefined>;
        motionPath?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OffsetPath | undefined>;
        motionRotation?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OffsetRotate | undefined>;
        objectFit?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ObjectFit | undefined>;
        objectPosition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ObjectPosition<string | number> | undefined>;
        offsetAnchor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OffsetAnchor<string | number> | undefined>;
        offsetDistance?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OffsetDistance<string | number> | undefined>;
        offsetPath?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OffsetPath | undefined>;
        offsetRotate?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OffsetRotate | undefined>;
        offsetRotation?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OffsetRotate | undefined>;
        opacity?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Opacity | undefined>;
        order?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Order | undefined>;
        orphans?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Orphans | undefined>;
        outlineColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OutlineColor | undefined>;
        outlineOffset?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OutlineOffset<string | number> | undefined>;
        outlineStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OutlineStyle | undefined>;
        outlineWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OutlineWidth<string | number> | undefined>;
        overflowAnchor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OverflowAnchor | undefined>;
        overflowBlock?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OverflowBlock | undefined>;
        overflowClipBox?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OverflowClipBox | undefined>;
        overflowClipMargin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OverflowClipMargin<string | number> | undefined>;
        overflowInline?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OverflowInline | undefined>;
        overflowWrap?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OverflowWrap | undefined>;
        overflowX?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OverflowX | undefined>;
        overflowY?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OverflowY | undefined>;
        overscrollBehaviorBlock?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OverscrollBehaviorBlock | undefined>;
        overscrollBehaviorInline?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OverscrollBehaviorInline | undefined>;
        overscrollBehaviorX?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OverscrollBehaviorX | undefined>;
        overscrollBehaviorY?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OverscrollBehaviorY | undefined>;
        paddingBlock?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingBlock<string | number> | undefined>;
        paddingBlockEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingBlockEnd<string | number> | undefined>;
        paddingBlockStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingBlockStart<string | number> | undefined>;
        paddingBottom?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingBottom<string | number> | undefined>;
        paddingInline?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingInline<string | number> | undefined>;
        paddingInlineEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingInlineEnd<string | number> | undefined>;
        paddingInlineStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingInlineStart<string | number> | undefined>;
        paddingLeft?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingLeft<string | number> | undefined>;
        paddingRight?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingRight<string | number> | undefined>;
        paddingTop?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingTop<string | number> | undefined>;
        pageBreakAfter?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PageBreakAfter | undefined>;
        pageBreakBefore?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PageBreakBefore | undefined>;
        pageBreakInside?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PageBreakInside | undefined>;
        paintOrder?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaintOrder | undefined>;
        perspective?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Perspective<string | number> | undefined>;
        perspectiveOrigin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PerspectiveOrigin<string | number> | undefined>;
        placeContent?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PlaceContent | undefined>;
        pointerEvents?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PointerEvents | undefined>;
        position?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Position | undefined>;
        quotes?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Quotes | undefined>;
        resize?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Resize | undefined>;
        right?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Right<string | number> | undefined>;
        rotate?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Rotate | undefined>;
        rowGap?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.RowGap<string | number> | undefined>;
        rubyAlign?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.RubyAlign | undefined>;
        rubyMerge?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.RubyMerge | undefined>;
        rubyPosition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.RubyPosition | undefined>;
        scale?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Scale | undefined>;
        scrollBehavior?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollBehavior | undefined>;
        scrollMargin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMargin<string | number> | undefined>;
        scrollMarginBlock?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginBlock<string | number> | undefined>;
        scrollMarginBlockEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginBlockEnd<string | number> | undefined>;
        scrollMarginBlockStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginBlockStart<string | number> | undefined>;
        scrollMarginBottom?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginBottom<string | number> | undefined>;
        scrollMarginInline?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginInline<string | number> | undefined>;
        scrollMarginInlineEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginInlineEnd<string | number> | undefined>;
        scrollMarginInlineStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginInlineStart<string | number> | undefined>;
        scrollMarginLeft?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginLeft<string | number> | undefined>;
        scrollMarginRight?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginRight<string | number> | undefined>;
        scrollMarginTop?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginTop<string | number> | undefined>;
        scrollPadding?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollPadding<string | number> | undefined>;
        scrollPaddingBlock?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollPaddingBlock<string | number> | undefined>;
        scrollPaddingBlockEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollPaddingBlockEnd<string | number> | undefined>;
        scrollPaddingBlockStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollPaddingBlockStart<string | number> | undefined>;
        scrollPaddingBottom?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollPaddingBottom<string | number> | undefined>;
        scrollPaddingInline?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollPaddingInline<string | number> | undefined>;
        scrollPaddingInlineEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollPaddingInlineEnd<string | number> | undefined>;
        scrollPaddingInlineStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollPaddingInlineStart<string | number> | undefined>;
        scrollPaddingLeft?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollPaddingLeft<string | number> | undefined>;
        scrollPaddingRight?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollPaddingRight<string | number> | undefined>;
        scrollPaddingTop?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollPaddingTop<string | number> | undefined>;
        scrollSnapAlign?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollSnapAlign | undefined>;
        scrollSnapMargin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMargin<string | number> | undefined>;
        scrollSnapMarginBottom?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginBottom<string | number> | undefined>;
        scrollSnapMarginLeft?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginLeft<string | number> | undefined>;
        scrollSnapMarginRight?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginRight<string | number> | undefined>;
        scrollSnapMarginTop?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginTop<string | number> | undefined>;
        scrollSnapStop?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollSnapStop | undefined>;
        scrollSnapType?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollSnapType | undefined>;
        scrollbarColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollbarColor | undefined>;
        scrollbarGutter?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollbarGutter | undefined>;
        scrollbarWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollbarWidth | undefined>;
        shapeImageThreshold?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ShapeImageThreshold | undefined>;
        shapeMargin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ShapeMargin<string | number> | undefined>;
        shapeOutside?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ShapeOutside | undefined>;
        tabSize?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TabSize<string | number> | undefined>;
        tableLayout?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TableLayout | undefined>;
        textAlign?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextAlign | undefined>;
        textAlignLast?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextAlignLast | undefined>;
        textCombineUpright?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextCombineUpright | undefined>;
        textDecorationColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextDecorationColor | undefined>;
        textDecorationLine?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextDecorationLine | undefined>;
        textDecorationSkip?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextDecorationSkip | undefined>;
        textDecorationSkipInk?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextDecorationSkipInk | undefined>;
        textDecorationStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextDecorationStyle | undefined>;
        textDecorationThickness?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextDecorationThickness<string | number> | undefined>;
        textDecorationWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextDecorationThickness<string | number> | undefined>;
        textEmphasisColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextEmphasisColor | undefined>;
        textEmphasisPosition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextEmphasisPosition | undefined>;
        textEmphasisStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextEmphasisStyle | undefined>;
        textIndent?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextIndent<string | number> | undefined>;
        textJustify?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextJustify | undefined>;
        textOrientation?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextOrientation | undefined>;
        textOverflow?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextOverflow | undefined>;
        textRendering?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextRendering | undefined>;
        textShadow?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextShadow | undefined>;
        textSizeAdjust?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextSizeAdjust | undefined>;
        textTransform?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextTransform | undefined>;
        textUnderlineOffset?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextUnderlineOffset<string | number> | undefined>;
        textUnderlinePosition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextUnderlinePosition | undefined>;
        top?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Top<string | number> | undefined>;
        touchAction?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TouchAction | undefined>;
        transform?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Transform | undefined>;
        transformBox?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransformBox | undefined>;
        transformOrigin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransformOrigin<string | number> | undefined>;
        transformStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransformStyle | undefined>;
        transitionDelay?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionDelay<string & {}> | undefined>;
        transitionDuration?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionDuration<string & {}> | undefined>;
        transitionProperty?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionProperty | undefined>;
        transitionTimingFunction?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionTimingFunction | undefined>;
        translate?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Translate<string | number> | undefined>;
        unicodeBidi?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.UnicodeBidi | undefined>;
        userSelect?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.UserSelect | undefined>;
        verticalAlign?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.VerticalAlign<string | number> | undefined>;
        visibility?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Visibility | undefined>;
        whiteSpace?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WhiteSpace | undefined>;
        widows?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Widows | undefined>;
        width?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Width<string | number> | undefined>;
        willChange?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WillChange | undefined>;
        wordBreak?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WordBreak | undefined>;
        wordSpacing?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WordSpacing<string | number> | undefined>;
        wordWrap?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WordWrap | undefined>;
        writingMode?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WritingMode | undefined>;
        zoom?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Zoom | undefined>;
        all?: import("@theme-ui/core").StylePropertyValue<import("csstype").Globals | undefined>;
        animation?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Animation<string & {}> | undefined>;
        background?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Background<string | number> | undefined>;
        backgroundPosition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackgroundPosition<string | number> | undefined>;
        border?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Border<string | number> | undefined>;
        borderBlock?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBlock<string | number> | undefined>;
        borderBlockEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBlockEnd<string | number> | undefined>;
        borderBlockStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBlockStart<string | number> | undefined>;
        borderBottom?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBottom<string | number> | undefined>;
        borderColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderColor | undefined>;
        borderImage?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderImage | undefined>;
        borderInline?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInline<string | number> | undefined>;
        borderInlineEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineEnd<string | number> | undefined>;
        borderInlineStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineStart<string | number> | undefined>;
        borderLeft?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderLeft<string | number> | undefined>;
        borderRight?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderRight<string | number> | undefined>;
        borderStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderStyle | undefined>;
        borderTop?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderTop<string | number> | undefined>;
        borderWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderWidth<string | number> | undefined>;
        columnRule?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnRule<string | number> | undefined>;
        columns?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Columns<string | number> | undefined>;
        flex?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Flex<string | number> | undefined>;
        flexFlow?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FlexFlow | undefined>;
        font?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Font | undefined>;
        gap?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Gap<string | number> | undefined>;
        grid?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Grid | undefined>;
        gridArea?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.GridArea | undefined>;
        gridColumn?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.GridColumn | undefined>;
        gridRow?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.GridRow | undefined>;
        gridTemplate?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.GridTemplate | undefined>;
        lineClamp?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.LineClamp | undefined>;
        listStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ListStyle | undefined>;
        margin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Margin<string | number> | undefined>;
        mask?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Mask<string | number> | undefined>;
        maskBorder?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskBorder | undefined>;
        motion?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Offset<string | number> | undefined>;
        offset?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Offset<string | number> | undefined>;
        outline?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Outline<string | number> | undefined>;
        overflow?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Overflow | undefined>;
        overscrollBehavior?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OverscrollBehavior | undefined>;
        padding?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Padding<string | number> | undefined>;
        placeItems?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PlaceItems | undefined>;
        placeSelf?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PlaceSelf | undefined>;
        textDecoration?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextDecoration<string | number> | undefined>;
        textEmphasis?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextEmphasis | undefined>;
        transition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Transition<string & {}> | undefined>;
        alignmentBaseline?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AlignmentBaseline | undefined>;
        baselineShift?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BaselineShift<string | number> | undefined>;
        clip?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Clip | undefined>;
        clipRule?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ClipRule | undefined>;
        colorInterpolation?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColorInterpolation | undefined>;
        colorRendering?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColorRendering | undefined>;
        dominantBaseline?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.DominantBaseline | undefined>;
        fill?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Fill | undefined>;
        fillOpacity?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FillOpacity | undefined>;
        fillRule?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FillRule | undefined>;
        floodColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FloodColor | undefined>;
        floodOpacity?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FloodOpacity | undefined>;
        glyphOrientationVertical?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.GlyphOrientationVertical | undefined>;
        lightingColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.LightingColor | undefined>;
        marker?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Marker | undefined>;
        markerEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarkerEnd | undefined>;
        markerMid?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarkerMid | undefined>;
        markerStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarkerStart | undefined>;
        shapeRendering?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ShapeRendering | undefined>;
        stopColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.StopColor | undefined>;
        stopOpacity?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.StopOpacity | undefined>;
        stroke?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Stroke | undefined>;
        strokeDasharray?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.StrokeDasharray<string | number> | undefined>;
        strokeDashoffset?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.StrokeDashoffset<string | number> | undefined>;
        strokeLinecap?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.StrokeLinecap | undefined>;
        strokeLinejoin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.StrokeLinejoin | undefined>;
        strokeMiterlimit?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.StrokeMiterlimit | undefined>;
        strokeOpacity?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.StrokeOpacity | undefined>;
        strokeWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.StrokeWidth<string | number> | undefined>;
        textAnchor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextAnchor | undefined>;
        vectorEffect?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.VectorEffect | undefined>;
        MozAnimationDelay?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationDelay<string & {}> | undefined>;
        MozAnimationDirection?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationDirection | undefined>;
        MozAnimationDuration?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationDuration<string & {}> | undefined>;
        MozAnimationFillMode?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationFillMode | undefined>;
        MozAnimationIterationCount?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationIterationCount | undefined>;
        MozAnimationName?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationName | undefined>;
        MozAnimationPlayState?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationPlayState | undefined>;
        MozAnimationTimingFunction?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationTimingFunction | undefined>;
        MozAppearance?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MozAppearance | undefined>;
        MozBackfaceVisibility?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackfaceVisibility | undefined>;
        MozBorderBottomColors?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MozBorderBottomColors | undefined>;
        MozBorderEndColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineEndColor | undefined>;
        MozBorderEndStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineEndStyle | undefined>;
        MozBorderEndWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineEndWidth<string | number> | undefined>;
        MozBorderLeftColors?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MozBorderLeftColors | undefined>;
        MozBorderRightColors?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MozBorderRightColors | undefined>;
        MozBorderStartColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineStartColor | undefined>;
        MozBorderStartStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderInlineStartStyle | undefined>;
        MozBorderTopColors?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MozBorderTopColors | undefined>;
        MozBoxSizing?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BoxSizing | undefined>;
        MozColumnCount?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnCount | undefined>;
        MozColumnFill?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnFill | undefined>;
        MozColumnGap?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnGap<string | number> | undefined>;
        MozColumnRuleColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnRuleColor | undefined>;
        MozColumnRuleStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnRuleStyle | undefined>;
        MozColumnRuleWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnRuleWidth<string | number> | undefined>;
        MozColumnWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnWidth<string | number> | undefined>;
        MozContextProperties?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MozContextProperties | undefined>;
        MozFontFeatureSettings?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontFeatureSettings | undefined>;
        MozFontLanguageOverride?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontLanguageOverride | undefined>;
        MozHyphens?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Hyphens | undefined>;
        MozImageRegion?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MozImageRegion | undefined>;
        MozMarginEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginInlineEnd<string | number> | undefined>;
        MozMarginStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginInlineStart<string | number> | undefined>;
        MozOrient?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MozOrient | undefined>;
        MozOsxFontSmoothing?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontSmooth<string | number> | undefined>;
        MozPaddingEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingInlineEnd<string | number> | undefined>;
        MozPaddingStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingInlineStart<string | number> | undefined>;
        MozPerspective?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Perspective<string | number> | undefined>;
        MozPerspectiveOrigin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PerspectiveOrigin<string | number> | undefined>;
        MozStackSizing?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MozStackSizing | undefined>;
        MozTabSize?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TabSize<string | number> | undefined>;
        MozTextBlink?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MozTextBlink | undefined>;
        MozTextSizeAdjust?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextSizeAdjust | undefined>;
        MozTransformOrigin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransformOrigin<string | number> | undefined>;
        MozTransformStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransformStyle | undefined>;
        MozTransitionDelay?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionDelay<string & {}> | undefined>;
        MozTransitionDuration?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionDuration<string & {}> | undefined>;
        MozTransitionProperty?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionProperty | undefined>;
        MozTransitionTimingFunction?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionTimingFunction | undefined>;
        MozUserFocus?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MozUserFocus | undefined>;
        MozUserModify?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MozUserModify | undefined>;
        MozUserSelect?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.UserSelect | undefined>;
        MozWindowDragging?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MozWindowDragging | undefined>;
        MozWindowShadow?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MozWindowShadow | undefined>;
        msAccelerator?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsAccelerator | undefined>;
        msAlignSelf?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AlignSelf | undefined>;
        msBlockProgression?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsBlockProgression | undefined>;
        msContentZoomChaining?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsContentZoomChaining | undefined>;
        msContentZoomLimitMax?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsContentZoomLimitMax | undefined>;
        msContentZoomLimitMin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsContentZoomLimitMin | undefined>;
        msContentZoomSnapPoints?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsContentZoomSnapPoints | undefined>;
        msContentZoomSnapType?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsContentZoomSnapType | undefined>;
        msContentZooming?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsContentZooming | undefined>;
        msFilter?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsFilter | undefined>;
        msFlexDirection?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FlexDirection | undefined>;
        msFlexPositive?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FlexGrow | undefined>;
        msFlowFrom?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsFlowFrom | undefined>;
        msFlowInto?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsFlowInto | undefined>;
        msGridColumns?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsGridColumns<string | number> | undefined>;
        msGridRows?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsGridRows<string | number> | undefined>;
        msHighContrastAdjust?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsHighContrastAdjust | undefined>;
        msHyphenateLimitChars?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsHyphenateLimitChars | undefined>;
        msHyphenateLimitLines?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsHyphenateLimitLines | undefined>;
        msHyphenateLimitZone?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsHyphenateLimitZone<string | number> | undefined>;
        msHyphens?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Hyphens | undefined>;
        msImeAlign?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsImeAlign | undefined>;
        msJustifySelf?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.JustifySelf | undefined>;
        msLineBreak?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.LineBreak | undefined>;
        msOrder?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Order | undefined>;
        msOverflowStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsOverflowStyle | undefined>;
        msOverflowX?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OverflowX | undefined>;
        msOverflowY?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.OverflowY | undefined>;
        msScrollChaining?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollChaining | undefined>;
        msScrollLimitXMax?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollLimitXMax<string | number> | undefined>;
        msScrollLimitXMin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollLimitXMin<string | number> | undefined>;
        msScrollLimitYMax?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollLimitYMax<string | number> | undefined>;
        msScrollLimitYMin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollLimitYMin<string | number> | undefined>;
        msScrollRails?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollRails | undefined>;
        msScrollSnapPointsX?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollSnapPointsX | undefined>;
        msScrollSnapPointsY?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollSnapPointsY | undefined>;
        msScrollSnapType?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollSnapType | undefined>;
        msScrollTranslation?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollTranslation | undefined>;
        msScrollbar3dlightColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollbar3dlightColor | undefined>;
        msScrollbarArrowColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollbarArrowColor | undefined>;
        msScrollbarBaseColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollbarBaseColor | undefined>;
        msScrollbarDarkshadowColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollbarDarkshadowColor | undefined>;
        msScrollbarFaceColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollbarFaceColor | undefined>;
        msScrollbarHighlightColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollbarHighlightColor | undefined>;
        msScrollbarShadowColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollbarShadowColor | undefined>;
        msTextAutospace?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsTextAutospace | undefined>;
        msTextCombineHorizontal?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextCombineUpright | undefined>;
        msTextOverflow?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextOverflow | undefined>;
        msTouchAction?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TouchAction | undefined>;
        msTouchSelect?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsTouchSelect | undefined>;
        msTransform?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Transform | undefined>;
        msTransformOrigin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransformOrigin<string | number> | undefined>;
        msTransitionDelay?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionDelay<string & {}> | undefined>;
        msTransitionDuration?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionDuration<string & {}> | undefined>;
        msTransitionProperty?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionProperty | undefined>;
        msTransitionTimingFunction?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionTimingFunction | undefined>;
        msUserSelect?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsUserSelect | undefined>;
        msWordBreak?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WordBreak | undefined>;
        msWrapFlow?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsWrapFlow | undefined>;
        msWrapMargin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsWrapMargin<string | number> | undefined>;
        msWrapThrough?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsWrapThrough | undefined>;
        msWritingMode?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WritingMode | undefined>;
        WebkitAlignContent?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AlignContent | undefined>;
        WebkitAlignItems?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AlignItems | undefined>;
        WebkitAlignSelf?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AlignSelf | undefined>;
        WebkitAnimationDelay?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationDelay<string & {}> | undefined>;
        WebkitAnimationDirection?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationDirection | undefined>;
        WebkitAnimationDuration?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationDuration<string & {}> | undefined>;
        WebkitAnimationFillMode?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationFillMode | undefined>;
        WebkitAnimationIterationCount?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationIterationCount | undefined>;
        WebkitAnimationName?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationName | undefined>;
        WebkitAnimationPlayState?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationPlayState | undefined>;
        WebkitAnimationTimingFunction?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.AnimationTimingFunction | undefined>;
        WebkitAppearance?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitAppearance | undefined>;
        WebkitBackdropFilter?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackdropFilter | undefined>;
        WebkitBackfaceVisibility?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackfaceVisibility | undefined>;
        WebkitBackgroundClip?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackgroundClip | undefined>;
        WebkitBackgroundOrigin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackgroundOrigin | undefined>;
        WebkitBackgroundSize?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackgroundSize<string | number> | undefined>;
        WebkitBorderBeforeColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitBorderBeforeColor | undefined>;
        WebkitBorderBeforeStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitBorderBeforeStyle | undefined>;
        WebkitBorderBeforeWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitBorderBeforeWidth<string | number> | undefined>;
        WebkitBorderBottomLeftRadius?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBottomLeftRadius<string | number> | undefined>;
        WebkitBorderBottomRightRadius?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderBottomRightRadius<string | number> | undefined>;
        WebkitBorderImageSlice?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderImageSlice | undefined>;
        WebkitBorderTopLeftRadius?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderTopLeftRadius<string | number> | undefined>;
        WebkitBorderTopRightRadius?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderTopRightRadius<string | number> | undefined>;
        WebkitBoxDecorationBreak?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BoxDecorationBreak | undefined>;
        WebkitBoxReflect?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitBoxReflect<string | number> | undefined>;
        WebkitBoxShadow?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BoxShadow | undefined>;
        WebkitBoxSizing?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BoxSizing | undefined>;
        WebkitClipPath?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ClipPath | undefined>;
        WebkitColumnCount?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnCount | undefined>;
        WebkitColumnFill?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnFill | undefined>;
        WebkitColumnGap?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnGap<string | number> | undefined>;
        WebkitColumnRuleColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnRuleColor | undefined>;
        WebkitColumnRuleStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnRuleStyle | undefined>;
        WebkitColumnRuleWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnRuleWidth<string | number> | undefined>;
        WebkitColumnSpan?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnSpan | undefined>;
        WebkitColumnWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnWidth<string | number> | undefined>;
        WebkitFilter?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Filter | undefined>;
        WebkitFlexBasis?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FlexBasis<string | number> | undefined>;
        WebkitFlexDirection?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FlexDirection | undefined>;
        WebkitFlexGrow?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FlexGrow | undefined>;
        WebkitFlexShrink?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FlexShrink | undefined>;
        WebkitFlexWrap?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FlexWrap | undefined>;
        WebkitFontFeatureSettings?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontFeatureSettings | undefined>;
        WebkitFontKerning?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontKerning | undefined>;
        WebkitFontSmoothing?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontSmooth<string | number> | undefined>;
        WebkitFontVariantLigatures?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FontVariantLigatures | undefined>;
        WebkitHyphens?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Hyphens | undefined>;
        WebkitInitialLetter?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.InitialLetter | undefined>;
        WebkitJustifyContent?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.JustifyContent | undefined>;
        WebkitLineBreak?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.LineBreak | undefined>;
        WebkitLineClamp?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitLineClamp | undefined>;
        WebkitMarginEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginInlineEnd<string | number> | undefined>;
        WebkitMarginStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginInlineStart<string | number> | undefined>;
        WebkitMaskAttachment?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitMaskAttachment | undefined>;
        WebkitMaskBoxImageOutset?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskBorderOutset<string | number> | undefined>;
        WebkitMaskBoxImageRepeat?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskBorderRepeat | undefined>;
        WebkitMaskBoxImageSlice?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskBorderSlice | undefined>;
        WebkitMaskBoxImageSource?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskBorderSource | undefined>;
        WebkitMaskBoxImageWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskBorderWidth<string | number> | undefined>;
        WebkitMaskClip?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitMaskClip | undefined>;
        WebkitMaskComposite?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitMaskComposite | undefined>;
        WebkitMaskImage?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitMaskImage | undefined>;
        WebkitMaskOrigin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitMaskOrigin | undefined>;
        WebkitMaskPosition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitMaskPosition<string | number> | undefined>;
        WebkitMaskPositionX?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitMaskPositionX<string | number> | undefined>;
        WebkitMaskPositionY?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitMaskPositionY<string | number> | undefined>;
        WebkitMaskRepeat?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitMaskRepeat | undefined>;
        WebkitMaskRepeatX?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitMaskRepeatX | undefined>;
        WebkitMaskRepeatY?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitMaskRepeatY | undefined>;
        WebkitMaskSize?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitMaskSize<string | number> | undefined>;
        WebkitMaxInlineSize?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaxInlineSize<string | number> | undefined>;
        WebkitOrder?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Order | undefined>;
        WebkitOverflowScrolling?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitOverflowScrolling | undefined>;
        WebkitPaddingEnd?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingInlineEnd<string | number> | undefined>;
        WebkitPaddingStart?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingInlineStart<string | number> | undefined>;
        WebkitPerspective?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Perspective<string | number> | undefined>;
        WebkitPerspectiveOrigin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PerspectiveOrigin<string | number> | undefined>;
        WebkitPrintColorAdjust?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColorAdjust | undefined>;
        WebkitRubyPosition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.RubyPosition | undefined>;
        WebkitScrollSnapType?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollSnapType | undefined>;
        WebkitShapeMargin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ShapeMargin<string | number> | undefined>;
        WebkitTapHighlightColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitTapHighlightColor | undefined>;
        WebkitTextCombine?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextCombineUpright | undefined>;
        WebkitTextDecorationColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextDecorationColor | undefined>;
        WebkitTextDecorationLine?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextDecorationLine | undefined>;
        WebkitTextDecorationSkip?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextDecorationSkip | undefined>;
        WebkitTextDecorationStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextDecorationStyle | undefined>;
        WebkitTextEmphasisColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextEmphasisColor | undefined>;
        WebkitTextEmphasisPosition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextEmphasisPosition | undefined>;
        WebkitTextEmphasisStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextEmphasisStyle | undefined>;
        WebkitTextFillColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitTextFillColor | undefined>;
        WebkitTextOrientation?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextOrientation | undefined>;
        WebkitTextSizeAdjust?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextSizeAdjust | undefined>;
        WebkitTextStrokeColor?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitTextStrokeColor | undefined>;
        WebkitTextStrokeWidth?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitTextStrokeWidth<string | number> | undefined>;
        WebkitTextUnderlinePosition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextUnderlinePosition | undefined>;
        WebkitTouchCallout?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitTouchCallout | undefined>;
        WebkitTransform?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Transform | undefined>;
        WebkitTransformOrigin?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransformOrigin<string | number> | undefined>;
        WebkitTransformStyle?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransformStyle | undefined>;
        WebkitTransitionDelay?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionDelay<string & {}> | undefined>;
        WebkitTransitionDuration?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionDuration<string & {}> | undefined>;
        WebkitTransitionProperty?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionProperty | undefined>;
        WebkitTransitionTimingFunction?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TransitionTimingFunction | undefined>;
        WebkitUserModify?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitUserModify | undefined>;
        WebkitUserSelect?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.UserSelect | undefined>;
        WebkitWritingMode?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WritingMode | undefined>;
        MozAnimation?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Animation<string & {}> | undefined>;
        MozBorderImage?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderImage | undefined>;
        MozColumnRule?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnRule<string | number> | undefined>;
        MozColumns?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Columns<string | number> | undefined>;
        MozTransition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Transition<string & {}> | undefined>;
        msContentZoomLimit?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsContentZoomLimit | undefined>;
        msContentZoomSnap?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsContentZoomSnap | undefined>;
        msFlex?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Flex<string | number> | undefined>;
        msScrollLimit?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollLimit | undefined>;
        msScrollSnapX?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollSnapX | undefined>;
        msScrollSnapY?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MsScrollSnapY | undefined>;
        msTransition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Transition<string & {}> | undefined>;
        WebkitAnimation?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Animation<string & {}> | undefined>;
        WebkitBorderBefore?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitBorderBefore<string | number> | undefined>;
        WebkitBorderImage?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderImage | undefined>;
        WebkitBorderRadius?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderRadius<string | number> | undefined>;
        WebkitColumnRule?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ColumnRule<string | number> | undefined>;
        WebkitColumns?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Columns<string | number> | undefined>;
        WebkitFlex?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Flex<string | number> | undefined>;
        WebkitFlexFlow?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.FlexFlow | undefined>;
        WebkitMask?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitMask<string | number> | undefined>;
        WebkitMaskBoxImage?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MaskBorder | undefined>;
        WebkitTextEmphasis?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.TextEmphasis | undefined>;
        WebkitTextStroke?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.WebkitTextStroke<string | number> | undefined>;
        WebkitTransition?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Transition<string & {}> | undefined>;
        bg?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BackgroundColor | undefined>;
        m?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Margin<string | number> | undefined>;
        mt?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginTop<string | number> | undefined>;
        mr?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginRight<string | number> | undefined>;
        mb?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginBottom<string | number> | undefined>;
        ml?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginLeft<string | number> | undefined>;
        mx?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginLeft<string | number> | undefined>;
        marginX?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginLeft<string | number> | undefined>;
        my?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginTop<string | number> | undefined>;
        marginY?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.MarginTop<string | number> | undefined>;
        p?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Padding<string | number> | undefined>;
        pt?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingTop<string | number> | undefined>;
        pr?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingRight<string | number> | undefined>;
        pb?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingBottom<string | number> | undefined>;
        pl?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingLeft<string | number> | undefined>;
        px?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingLeft<string | number> | undefined>;
        paddingX?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingLeft<string | number> | undefined>;
        py?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingTop<string | number> | undefined>;
        paddingY?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.PaddingTop<string | number> | undefined>;
        scrollMarginX?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginLeft<string | number> | undefined>;
        scrollMarginY?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollMarginTop<string | number> | undefined>;
        scrollPaddingX?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollPaddingLeft<string | number> | undefined>;
        scrollPaddingY?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.ScrollPaddingTop<string | number> | undefined>;
        size?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.Width<string | number> | undefined>;
        boxShadow?: import("@theme-ui/core").StylePropertyValue<number | import("csstype").Property.BoxShadow | undefined>;
        fontWeight: string | false | import("@theme-ui/core").ThemeUICSSObject | import("@theme-ui/core").ThemeDerivedStyles | (number & {}) | import("@theme-ui/css").ObjectWithDefault<string | (string & {}) | (number & {})> | (string | (string & {}) | import("@theme-ui/css").ThemeUIEmpty | (number & {}) | import("@theme-ui/css").ObjectWithDefault<string | (string & {}) | (number & {})> | (string | (string & {}) | (number & {}))[])[] | ((theme: import("@theme-ui/core").Theme) => string | (string & {}) | import("@theme-ui/css").ThemeUIEmpty | (number & {}) | import("@theme-ui/css").ObjectWithDefault<string | (string & {}) | (number & {})> | (string | (string & {}) | (number & {}))[] | (string | (string & {}) | import("@theme-ui/css").ThemeUIEmpty | (number & {}) | import("@theme-ui/css").ObjectWithDefault<string | (string & {}) | (number & {})> | (string | (string & {}) | (number & {}))[])[]) | null;
        borderTopStyle?: import("@theme-ui/core").StylePropertyValue<string | undefined>;
        borderBottomStyle?: import("@theme-ui/core").StylePropertyValue<string | undefined>;
        borderRightStyle?: import("@theme-ui/core").StylePropertyValue<string | undefined>;
        borderLeftStyle?: import("@theme-ui/core").StylePropertyValue<string | undefined>;
        borderRadius?: import("@theme-ui/core").StylePropertyValue<import("csstype").Property.BorderRadius<string | number> | undefined>;
        zIndex?: import("@theme-ui/core").StylePropertyValue<string | (string & {}) | (number & {}) | undefined>;
        ":-moz-any()"?: ThemeUIStyleObject | undefined;
        ":-moz-dir"?: ThemeUIStyleObject | undefined;
        ":-webkit-any()"?: ThemeUIStyleObject | undefined;
        "::cue"?: ThemeUIStyleObject | undefined;
        "::cue-region"?: ThemeUIStyleObject | undefined;
        "::part"?: ThemeUIStyleObject | undefined;
        "::slotted"?: ThemeUIStyleObject | undefined;
        ":dir"?: ThemeUIStyleObject | undefined;
        ":has"?: ThemeUIStyleObject | undefined;
        ":host"?: ThemeUIStyleObject | undefined;
        ":host-context"?: ThemeUIStyleObject | undefined;
        ":is"?: ThemeUIStyleObject | undefined;
        ":lang"?: ThemeUIStyleObject | undefined;
        ":matches()"?: ThemeUIStyleObject | undefined;
        ":not"?: ThemeUIStyleObject | undefined;
        ":nth-child"?: ThemeUIStyleObject | undefined;
        ":nth-last-child"?: ThemeUIStyleObject | undefined;
        ":nth-last-of-type"?: ThemeUIStyleObject | undefined;
        ":nth-of-type"?: ThemeUIStyleObject | undefined;
        ":where"?: ThemeUIStyleObject | undefined;
        ":-khtml-any-link"?: ThemeUIStyleObject | undefined;
        ":-moz-any-link"?: ThemeUIStyleObject | undefined;
        ":-moz-focusring"?: ThemeUIStyleObject | undefined;
        ":-moz-full-screen"?: ThemeUIStyleObject | undefined;
        ":-moz-placeholder"?: ThemeUIStyleObject | undefined;
        ":-moz-read-only"?: ThemeUIStyleObject | undefined;
        ":-moz-read-write"?: ThemeUIStyleObject | undefined;
        ":-moz-ui-invalid"?: ThemeUIStyleObject | undefined;
        ":-moz-ui-valid"?: ThemeUIStyleObject | undefined;
        ":-ms-fullscreen"?: ThemeUIStyleObject | undefined;
        ":-ms-input-placeholder"?: ThemeUIStyleObject | undefined;
        ":-webkit-any-link"?: ThemeUIStyleObject | undefined;
        ":-webkit-full-screen"?: ThemeUIStyleObject | undefined;
        "::-moz-placeholder"?: ThemeUIStyleObject | undefined;
        "::-moz-progress-bar"?: ThemeUIStyleObject | undefined;
        "::-moz-range-progress"?: ThemeUIStyleObject | undefined;
        "::-moz-range-thumb"?: ThemeUIStyleObject | undefined;
        "::-moz-range-track"?: ThemeUIStyleObject | undefined;
        "::-moz-selection"?: ThemeUIStyleObject | undefined;
        "::-ms-backdrop"?: ThemeUIStyleObject | undefined;
        "::-ms-browse"?: ThemeUIStyleObject | undefined;
        "::-ms-check"?: ThemeUIStyleObject | undefined;
        "::-ms-clear"?: ThemeUIStyleObject | undefined;
        "::-ms-fill"?: ThemeUIStyleObject | undefined;
        "::-ms-fill-lower"?: ThemeUIStyleObject | undefined;
        "::-ms-fill-upper"?: ThemeUIStyleObject | undefined;
        "::-ms-input-placeholder"?: ThemeUIStyleObject | undefined;
        "::-ms-reveal"?: ThemeUIStyleObject | undefined;
        "::-ms-thumb"?: ThemeUIStyleObject | undefined;
        "::-ms-ticks-after"?: ThemeUIStyleObject | undefined;
        "::-ms-ticks-before"?: ThemeUIStyleObject | undefined;
        "::-ms-tooltip"?: ThemeUIStyleObject | undefined;
        "::-ms-track"?: ThemeUIStyleObject | undefined;
        "::-ms-value"?: ThemeUIStyleObject | undefined;
        "::-webkit-backdrop"?: ThemeUIStyleObject | undefined;
        "::-webkit-input-placeholder"?: ThemeUIStyleObject | undefined;
        "::-webkit-progress-bar"?: ThemeUIStyleObject | undefined;
        "::-webkit-progress-inner-value"?: ThemeUIStyleObject | undefined;
        "::-webkit-progress-value"?: ThemeUIStyleObject | undefined;
        "::-webkit-slider-runnable-track"?: ThemeUIStyleObject | undefined;
        "::-webkit-slider-thumb"?: ThemeUIStyleObject | undefined;
        "::after"?: ThemeUIStyleObject | undefined;
        "::backdrop"?: ThemeUIStyleObject | undefined;
        "::before"?: ThemeUIStyleObject | undefined;
        "::first-letter"?: ThemeUIStyleObject | undefined;
        "::first-line"?: ThemeUIStyleObject | undefined;
        "::grammar-error"?: ThemeUIStyleObject | undefined;
        "::marker"?: ThemeUIStyleObject | undefined;
        "::placeholder"?: ThemeUIStyleObject | undefined;
        "::selection"?: ThemeUIStyleObject | undefined;
        "::spelling-error"?: ThemeUIStyleObject | undefined;
        "::target-text"?: ThemeUIStyleObject | undefined;
        ":active"?: ThemeUIStyleObject | undefined;
        ":after"?: ThemeUIStyleObject | undefined;
        ":any-link"?: ThemeUIStyleObject | undefined;
        ":before"?: ThemeUIStyleObject | undefined;
        ":blank"?: ThemeUIStyleObject | undefined;
        ":checked"?: ThemeUIStyleObject | undefined;
        ":current"?: ThemeUIStyleObject | undefined;
        ":default"?: ThemeUIStyleObject | undefined;
        ":defined"?: ThemeUIStyleObject | undefined;
        ":disabled"?: ThemeUIStyleObject | undefined;
        ":empty"?: ThemeUIStyleObject | undefined;
        ":enabled"?: ThemeUIStyleObject | undefined;
        ":first"?: ThemeUIStyleObject | undefined;
        ":first-child"?: ThemeUIStyleObject | undefined;
        ":first-letter"?: ThemeUIStyleObject | undefined;
        ":first-line"?: ThemeUIStyleObject | undefined;
        ":first-of-type"?: ThemeUIStyleObject | undefined;
        ":focus"?: ThemeUIStyleObject | undefined;
        ":focus-visible"?: ThemeUIStyleObject | undefined;
        ":focus-within"?: ThemeUIStyleObject | undefined;
        ":fullscreen"?: ThemeUIStyleObject | undefined;
        ":future"?: ThemeUIStyleObject | undefined;
        ":hover"?: ThemeUIStyleObject | undefined;
        ":in-range"?: ThemeUIStyleObject | undefined;
        ":indeterminate"?: ThemeUIStyleObject | undefined;
        ":invalid"?: ThemeUIStyleObject | undefined;
        ":last-child"?: ThemeUIStyleObject | undefined;
        ":last-of-type"?: ThemeUIStyleObject | undefined;
        ":left"?: ThemeUIStyleObject | undefined;
        ":link"?: ThemeUIStyleObject | undefined;
        ":local-link"?: ThemeUIStyleObject | undefined;
        ":nth-col"?: ThemeUIStyleObject | undefined;
        ":nth-last-col"?: ThemeUIStyleObject | undefined;
        ":only-child"?: ThemeUIStyleObject | undefined;
        ":only-of-type"?: ThemeUIStyleObject | undefined;
        ":optional"?: ThemeUIStyleObject | undefined;
        ":out-of-range"?: ThemeUIStyleObject | undefined;
        ":past"?: ThemeUIStyleObject | undefined;
        ":paused"?: ThemeUIStyleObject | undefined;
        ":picture-in-picture"?: ThemeUIStyleObject | undefined;
        ":placeholder-shown"?: ThemeUIStyleObject | undefined;
        ":read-only"?: ThemeUIStyleObject | undefined;
        ":read-write"?: ThemeUIStyleObject | undefined;
        ":required"?: ThemeUIStyleObject | undefined;
        ":right"?: ThemeUIStyleObject | undefined;
        ":root"?: ThemeUIStyleObject | undefined;
        ":scope"?: ThemeUIStyleObject | undefined;
        ":target"?: ThemeUIStyleObject | undefined;
        ":target-within"?: ThemeUIStyleObject | undefined;
        ":user-invalid"?: ThemeUIStyleObject | undefined;
        ":user-valid"?: ThemeUIStyleObject | undefined;
        ":valid"?: ThemeUIStyleObject | undefined;
        ":visited"?: ThemeUIStyleObject | undefined;
        variant: string;
        label?: string | undefined;
    } | {
        fontFamily: string;
        lineHeight: string;
        fontWeight: string;
        variant: string;
    };
}, string | import("react").JSXElementConstructor<any>>;
export declare const jsx: typeof import("react").createElement;
export declare namespace jsx {
    namespace JSX {
        interface Element extends ThemeUIJSX.Element {
        }
        interface ElementClass extends ThemeUIJSX.ElementClass {
        }
        interface ElementAttributesProperty extends ThemeUIJSX.ElementAttributesProperty {
        }
        interface ElementChildrenAttribute extends ThemeUIJSX.ElementChildrenAttribute {
        }
        type LibraryManagedAttributes<C, P> = ThemeUIJSX.LibraryManagedAttributes<C, P>;
        interface IntrinsicAttributes extends ThemeUIJSX.IntrinsicAttributes {
        }
        interface IntrinsicClassAttributes<T> extends ThemeUIJSX.IntrinsicClassAttributes<T> {
        }
        interface IntrinsicElements extends ThemeUIJSX.IntrinsicElements {
        }
    }
}
